<?php

namespace App\Filament\Resources\Clients\Pages;

use Filament\Actions\ExportAction;
use Filament\Actions\Exports\Enums\ExportFormat;
use Filament\Actions\CreateAction;
use App\Filament\Exports\ClientExporter;
use App\Filament\Resources\Clients\ClientResource;
use Filament\Actions;
use Filament\Resources\Pages\ListRecords;

class ListClients extends ListRecords
{
    protected static string $resource = ClientResource::class;

    protected function getHeaderActions(): array
    {
        return [
            ExportAction::make('Export clients')
            ->exporter(ClientExporter::class)
            ->formats([
                ExportFormat::Csv,
            ]),
            CreateAction::make()->slideOver(),
        ];
    }
}
